curl --request POST \
--url https://doc-api.oppiwallet.com/api/v1/createTransactionRequest \
--header 'signatureToken: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...' \
--header 'Content-Type: application/json' \
--data '{
"currency": "6698aec7f188ae24c673da1c",
"amount": "0.01",
"orderId": "ORDER_1"
}'
const axios = require('axios');
let data = JSON.stringify({
"currency": "6698aec7f188ae24c673da1c",
"amount": "0.01",
"orderId": "ORDER_1"
});
let config = {
method: 'post',
maxBodyLength: Infinity,
url: 'https://doc-api.oppiwallet.com/api/v1/createTransactionRequest',
headers: {
'signatureToken': 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1cmkiOiJjcmVhdGVUcmFuc2FjdGlvblJlcXVlc3QiLCJpYXQiOjE3MTUxNTM2NTQsImV4cCI6MTcxNTE1MzcwOSwia2V5Ijoicmh0TmJELU9yTFQteFp3M3QtMkpFWnR4Iiwic2lnbmF0dXJlU3RyaW5nIjoiMWVjY2M1NDc0YWZiMzU4NDExNDEzNjBkOGQ0MDBlMWYxOWIzNRjYzVkM2YxNTRjNmQ5YjViNSJ9.JuF7d8Oc4EyMvm7s5g3CN9L9Wbl_TFI_yO8jt20dvHw',
'Content-Type': 'application/json'
},
data: data
};
axios.request(config)
.then((response) => {
console.log(JSON.stringify(response.data));
})
.catch((error) => {
console.log(error);
});
import requests
url = "https://doc-api.oppiwallet.com/api/v1/createTransactionRequest"
headers = {
"signatureToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
"Content-Type": "application/json"
}
data = {
"currency": "6698aec7f188ae24c673da1c",
"amount": "0.01",
"orderId": "ORDER_1"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
package main
import (
"bytes"
"encoding/json"
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://doc-api.oppiwallet.com/api/v1/createTransactionRequest"
data := map[string]string{
"currency": "6698aec7f188ae24c673da1c",
"amount": "0.01",
"orderId": "ORDER_1",
}
jsonData, _ := json.Marshal(data)
req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
req.Header.Add("signatureToken", "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(string(body))
}
<?php
$curl = curl_init();
$data = [
"currency" => "6698aec7f188ae24c673da1c",
"amount" => "0.01",
"orderId" => "ORDER_1"
];
curl_setopt_array($curl, [
CURLOPT_URL => "https://doc-api.oppiwallet.com/api/v1/createTransactionRequest",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"signatureToken: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
"Content-Type: application/json"
],
CURLOPT_POSTFIELDS => json_encode($data),
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
?>
{
"address": "0x6648C29C6FD8........eD9Eb964c6F838bF",
"amount": "0.0001",
"tag": "2165464",
"transactionId": "0866f8-4a53-4579-9274-351ec868a627"
}
{
"message": "Error message"
}
Endpoints
Deposit
This API is used to create a transaction request for deposit.
POST
/
createTransactionRequest
Authentication
string
required
A JWT token required for API authentication.
Generate JWT token as explained in section Generate JWT Token using empty string.
Headers
string
required
Must be set to
application/json.Request Body
string
required
Assets Currency id.
string
required
Provide amount for transaction.
string
required
Pass orderId for your reference.
Response
Returns the transaction details upon successful request.string
required
The address for the deposit.
string
required
The amount that was deposited.
string
required
The tag associated with the transaction.
string
required
Unique identifier for the transaction.
{
"address": "0x6648C29C6FD8........eD9Eb964c6F838bF",
"amount": "0.0001",
"tag": "2165464",
"transactionId": "0866f8-4a53-4579-9274-351ec868a627"
}
{
"message": "Error message"
}
⌘I